<div class="tab-pane active"> <ng-form name="formExtruder"> <div class="panel panel-default margin-top"> <div class="panel-heading"><i class="rs rs-heated-bed rs-fw"></i> <?php _('Heated Bed') ?></div> <div class="panel-body"> <div class="row"> <div class="col-xs-12"> <label><?php _('Heated Bed Installed') ?></label> <boolswitch class="small" on="<?php _('Yes') ?>" off="<?php _('No') ?>" ng-model="editor.heatedBed.installed"></boolswitch> </div> </div> <div ng-show="editor.heatedBed.installed"> <h4><?php _('Predefined Temperatures') ?></h4> <div class="row"> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Max. Temperature') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="editor.heatedBed.maxTemp" popover-placement="bottom" popover="<?php _('Maximum bed temperature.') ?>" popover-trigger="focus" min="0.0001"> <div class="input-group-addon">°C</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Heatup Speed') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="editor.heatedBed.heatupPerSecond" data-toggle="popover" popover-placement="bottom" popover="<?php _('Temperature raised within one second.') ?>" data-original-title popover-trigger="focus" min="0.0001"> <div class="input-group-addon">°C/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Cooldown Speed') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="editor.heatedBed.cooldownPerSecond" data-toggle="popover" popover-placement="bottom" popover="<?php _('Temperature drop per second.') ?>" data-original-title popover-trigger="focus" min="0.0001"> <div class="input-group-addon">°C/s</div> </div> </div> </div> <table class="table table-bordered table-striped" style="max-width:520px"> <tr> <th><?php _('Name') ?></th> <th><?php _('Temperature') ?></th> <th style="width: 130px"> <button class="btn btn-primary btn-xs" ng-click="bedTempAdd()"><i class="fa fa-plus"></i> <?php _('Add') ?></button> </th> </tr> <tr ng-repeat="r in editor.heatedBed.temperatures track by $index"> <td><input type="text" ng-model="r.name" class="form-control input-sm" required></td> <td> <div class="input-group maxw150"> <input type="number" ng-model="r.temp" class="form-control input-sm" integer required min="0"> <div class="input-group-addon">°C</div> </div> </td> <td> <button ng-hide="$first" class="btn btn-default btn-sm" ng-click="bedTempUp($index)"> <i class="fa fa-arrow-up"></i> </button> <button ng-hide="$last" class="btn btn-default btn-sm" ng-click="bedTempDown($index)"> <i class="fa fa-arrow-down"></i> </button> <button class="btn btn-danger btn-sm pull-right" ng-click="bedTempDel($index)"> <i class="fa fa-trash-o"></i> </button> </td> </tr> </table> </div> </div> </div>  <div class="panel panel-default" ng-repeat="ex in editor.extruders"> <div class="panel-heading"><i class="rs rs-extruder rs-fw"></i> <?php _('Extruder') ?> {{$index+1}} <button class="btn btn-danger pull-right btn-xs" ng-click="removeExtruder($index)"><i class="fa fa-trash-o"></i> <?php _('Delete Extruder') ?> </button> </div> <div class="panel-body"> <div class="row units"> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Filament Diameter') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="ex.filamentDiameter" data-toggle="popover" popover-placement="bottom" popover="<?php _('Used for volume calculation.') ?>" data-original-title popover-trigger="focus" min="0.01" required> <div class="input-group-addon">mm</div> </div> </div> <div class="col-lg-8 visible-lg-block" style="height: 75px">&nbsp;</div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Max. Temperature') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="ex.maxTemp" popover-placement="bottom" popover="<?php _('Maximum extruder temperature.') ?>" popover-trigger="focus" min="0.0001"> <div class="input-group-addon">°C</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Heatup Speed') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="ex.heatupPerSecond" data-toggle="popover" popover-placement="bottom" popover="<?php _('Temperature raised within one second.') ?>" data-original-title popover-trigger="focus" min="0.01" required> <div class="input-group-addon">°C/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Cooldown Speed') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="ex.cooldownPerSecond" data-toggle="popover" popover-placement="bottom" popover="<?php _('Temperature drop per second.') ?>" data-original-title popover-trigger="focus" min="0.01" required> <div class="input-group-addon">°C/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Max. Speed') ?> <autoset name="extrMaxSpeed[{{$index}}]" ng-model="ex.maxSpeed"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="ex.maxSpeed" data-toggle="popover" popover-placement="bottom" popover="<?php _('Maximum extruder speed.') ?>" data-original-title popover-trigger="focus" required min="0.1"> <div class="input-group-addon">mm/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Extrude Speed') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="ex.extrudeSpeed" data-toggle="popover" popover-placement="bottom" popover="<?php _('Extruder speed if you click on extrude in manual controls.') ?>" data-original-title popover-trigger="focus" min="0.01" required> <div class="input-group-addon">mm/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Retract Speed') ?></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="ex.retractSpeed" data-toggle="popover" popover-placement="bottom" popover="<?php _('Retract speed if you click on extrude in manual controls.') ?>" data-original-title popover-trigger="focus" min="0.01" required> <div class="input-group-addon">mm/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Jerk') ?> <autoset name="extrJerk[{{$index}}]" ng-model="ex.eJerk"> </autoset></label> <div class="input-group"> <input class="form-control" type="number" step="any" placeholder="" ng-model="ex.eJerk" data-toggle="popover" popover-placement="bottom" popover="<?php _('Extruder will start with 50% of jerk.') ?>" data-original-title popover-trigger="focus" min="0" required> <div class="input-group-addon">mm/s</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Offset X') ?></label> <div class="input-group"> <input class="form-control" type="number" step="0.01" placeholder="" ng-model="ex.offsetX" data-toggle="popover" popover-placement="bottom" popover="<?php _('X offset of extruder. Some firmwares need this for multi extruder support.') ?>" data-original-title popover-trigger="focus" required> <div class="input-group-addon">mm</div> </div> </div> <div class="col-lg-4 col-xs-6 form-group"> <label><?php _('Offset Y') ?></label> <div class="input-group"> <input class="form-control" type="number" step="0.01" placeholder="" ng-model="ex.offsetY" data-toggle="popover" popover-placement="bottom" popover="<?php _('Y offset of extruder. Some firmwares need this for multi extruder support.') ?>" data-original-title popover-trigger="focus" required> <div class="input-group-addon">mm</div> </div> </div> </div> <h4><?php _('Predefined Temperatures') ?></h4> <table class="table table-bordered table-striped" style="max-width:520px"> <tr> <th><?php _('Name') ?></th> <th><?php _('Temperature') ?></th> <th style="width:130px"> <button class="btn btn-primary btn-xs" ng-click="extTempAdd(ex)"><i class="fa fa-plus"></i> <?php _('Add') ?></button> </th> </tr> <tr ng-repeat="r in ex.temperatures track by $index"> <td><input type="text" ng-model="r.name" class="form-control input-sm" required></td> <td> <div class="input-group maxw150"> <input type="number" ng-model="r.temp" class="form-control input-sm" integer required> <div class="input-group-addon">°C</div> </div> </td> <td> <button ng-hide="$first" class="btn btn-default btn-sm" ng-click="extTempUp(ex,$index)"> <i class="fa fa-arrow-up"></i> </button> <button ng-hide="$last" class="btn btn-default btn-sm" ng-click="extTempDown(ex,$index)"> <i class="fa fa-arrow-down"></i> </button> <button class="btn btn-danger btn-sm pull-right" ng-click="extTempDel(ex,$index)"> <i class="fa fa-trash-o"></i> </button> </td> </tr> </table> </div> </div> <button class="btn btn-primary" style="margin-bottom:40px" ng-click="addExtruder()"> <i class="fa fa-plus"></i> <?php _('Add Extruder') ?> </button> </ng-form> </div>